Subject: Re: What's cooking in git.git (Nov 2024, #07; Wed, 20)

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Nov 2024 09:44:15 +0900

Taylor Blau <[email-masked]> writes:

> On Wed, Nov 20, 2024 at 05:49:34PM +0900, Junio C Hamano wrote:
>> * tb/incremental-midx-part-2 (2024-11-20) 15 commits
>>  - midx: implement writing incremental MIDX bitmaps
>>  - pack-bitmap.c: use `ewah_or_iterator` for type bitmap iterators
>>  - pack-bitmap.c: keep track of each layer's type bitmaps
>>  - ewah: implement `struct ewah_or_iterator`
>>  - pack-bitmap.c: apply pseudo-merge commits with incremental MIDXs
>>  - pack-bitmap.c: compute disk-usage with incremental MIDXs
>>  - pack-bitmap.c: teach `rev-list --test-bitmap` about incremental MIDXs
>>  - pack-bitmap.c: support bitmap pack-reuse with incremental MIDXs
>>  - pack-bitmap.c: teach `show_objects_for_type()` about incremental MIDXs
>>  - pack-bitmap.c: teach `bitmap_for_commit()` about incremental MIDXs
>>  - pack-bitmap.c: open and store incremental bitmap layers
>>  - pack-revindex: prepare for incremental MIDX bitmaps
>>  - Documentation: describe incremental MIDX bitmaps
>>  - Merge branch 'tb/pseudo-merge-bitmap-fixes' into tb/incremental-midx-part-2
>>  - Merge branch 'tb/incremental-midx-part-1' into tb/incremental-midx-part-2
>>
>>  Incrementally updating multi-pack index files.
>>
>>  Needs review.
>>  source: <[email-masked]>
>
> Sorry for not making clearer that I had changed the base to current
> 'master' for this topic, so these two merges should no longer be
> necessary.

Yeah, I know (see my other message on the topic). I just didn't see
a reason to rebase and keeping the same base is slighly easier to
compare the two iterations, with and without range-diff.

> One topic I did not see is [1], which appeared not to be picked up in
> this or the last cycle. That topic has been reviewed and should be in
> good shape. I think the thread died down after agreeing on some
> potentially interesting future improvements we could make, but I don't
> think there were any outstanding issues with the current patches.
> ...
> [1]: https://lore.kernel.org/git/[email-masked]/